// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#include <QPushButton>
#include <QVBoxLayout>
#include <QWidget>
#include <QLocale>
#include <QLabel>

#include "zoneitem.h"

ZoneItem::ZoneItem(QWidget *parent) :
	QWidget(parent)
{
	/*
	 * Layout for the left part of the window
	 */
	QVBoxLayout *topLayout = new QVBoxLayout;
	QPushButton *btn = new QPushButton;
	btn->setText("20°C");
	btn->setFlat(true);
	topLayout->addWidget(new QLabel(tr("Living room")));
	topLayout->addWidget(btn);
	topLayout->addWidget(new QLabel("45%h"));

	this->setLayout(topLayout);
}

ZoneItem::~ZoneItem()
{
}

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */
